## octave-brain2mesh 0.7.9

=== debian/changelog ===
octave-brain2mesh (0.7.9-3) unstable; urgency=medium

  * Team upload

  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Fix upstream URL
  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/copyright:
    + Update Source URL
    + Update list of copyright years for debian/* files
  * d/gbp.conf: Use the default merge-mode (replace) for gbp-import-orig
  * d/octave-brain2mesh.install: New file.
    Properly install the *.m files into the octave-brain2mesh binary package.
    (Closes: #1013597)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Jan 2024 11:26:45 -0300

octave-brain2mesh (0.7.9-2) unstable; urgency=medium

  * Team upload

  [ Qianqian Fang ]
  * update maintainer info

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/watch: Bump to format version 4

 -- Rafael Laboissière <rafael@debian.org>  Sat, 02 Jan 2021 07:51:08 -0300

octave-brain2mesh (0.7.9-1) unstable; urgency=medium

  * Initial release (Closes: #962610)

 -- Qianqian Fang <fangqq@gmail.com>  Sat, 13 Jun 2020 15:18:58 -0400
